 

#ifndef dht11_h
#define dht11_h
/*
#if defined(ARDUINO) && (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif
*/
#include "gpio_common.h"
#include <stdint.h>

#define DHT11LIB_VERSION "0.4.1"

#define DHTLIB_OK               0
#define DHTLIB_ERROR_CHECKSUM	-1
#define DHTLIB_ERROR_TIMEOUT	-2

#define HIGH 1
#define LOW 0

typedef unsigned char byte;

class dht11
{
public:
    dht11(){
        initialiseEpoch();
    }
    ~dht11(){}
    //int digitalWrite();
    void delay(unsigned int nano_second);
    int read(int pin);
    unsigned int micros(void);
    void initialiseEpoch (void);
    int get_temperature();
    int get_humidity();
    void ReadDHT(int dht_dpin);
    byte read_dht_dat(int dht_dpin);

private:
    int humidity;
    int temperature;
    uint64_t m_epochMicro;
    byte dht_dat[5];

};
#endif
//
// END OF FILE
//
