#ifndef ARDUINO_CASES_H
#define ARDUINO_CASES_H

#include <unistd.h>
#include <stdint.h>
#include <stdio.h>
#include <math.h>

void eaidk310_sensor_pushbotton(int pin);
void eaidk310_sensor_shock(int pin);
void eaidk310_sensor_minireed(int pin);
void eaidk310_sensor_reed(int pin1, int pin2);
void eaidk310_sensor_buzzer(int pin);
void eaidk310_sensor_passive_buzzer(int pin);
void eaidk310_sensor_twocolor_led(int pin1, int pin2);
void eaidk310_sensor_7color_flash(int pin);
void eaidk310_sensor_laser_emit(int pin);
void eaidk310_sensor_little_twocolor_led(int pin1, int pin2);
void eaidk310_sensor_threecolor_led(int pin1, int pin2, int pin3);
void eaidk310_sensor_threecolor_smd(int pin1, int pin2, int pin3);
void eaidk310_sensor_relay(int pin);
void eaidk310_sensor_tilt_switch(int pin);
void eaidk310_sensor_hall_magnatic(int pin);
void eaidk310_sensor_linear_hall(int pin1, int pin2);
void eaidk310_sensor_flame(int pin1, int pin2);
void eaidk310_sensor_touch(int pin1, int pin2);
void eaidk310_sensor_ball_switch(int pin);
void eaidk310_sensor_light_cup(int pin1, int pin2);
void eaidk310_sensor_microphone(int pin1, int pin2); //failed
void eaidk310_sensor_photoresistor(int pin);
void eaidk310_sensor_IRemission(int pin);
void eaidk310_sensor_tap_module(int pin);
void eaidk310_sensor_light_block(int pin);
void eaidk310_sensor_tracking(int pin);
void eaidk310_sensor_avoid(int pin);
void eaidk310_sensor_rotary_encode(int pin, int pin2, int pin3);

int pcf8591_arduino_demo();

#endif
