#ifndef _GPIO_H_
#define _GPIO_H_
#include <stdio.h>


typedef enum 
{
	INVALI_DIRECTION,
	INPUT,
	OUTPUT, 
} DIRECTION;

typedef enum 
{
	INVALI_EDGE,
	NONE,
	RISING,
	FALLING,
	BOTH,
} EDGE;

#define HIGH 1
#define LOW 0

#define EAIDK310_LOOP 310

int gpio_init(int gpio,DIRECTION direction,EDGE edge=NONE);
int set_voltage(FILE * fd,int value);
int get_voltage(int fd);
void gpio_release(int gpio);
int set_value(int gpio_pin, char* value);
int set_value(int gpio_pin, int value);
int read_value(int pin);
#endif
