//file:dht11.c
//author:lulipro
//date:2019-5-5



#include "gpio_common.h"
#include "dht12.h"
//#include <Arduino.h>                  //for pinMode(),delay() 
#include <string.h>                   //for memset()

static uint8_t DHT11_dataPin_;       //DHT11
static uint8_t DHT11_recvData_[5];   // DHT11ȡݵĻ飬40bit

/**********************
*ãʼ
*pinArduinoDHT11ʹõIO
*أ
**********************/
void DHT12_init(uint8_t pin)
{
  DHT11_dataPin_ = pin;
  //delay(1000);    
}

void delay(unsigned int howlong)
{
    struct timespec sleeper, dummy;
    sleeper.tv_sec = (time_t)(howlong/1000);
    sleeper.tv_nsec = (long)(howlong % 1000)*1000000;
    nanosleep(&sleeper, &dummy);
}

void delayMicrosecondsHard (unsigned int howLong)
{
  struct timeval tNow, tLong, tEnd ;

  gettimeofday (&tNow, NULL) ;
  tLong.tv_sec  = howLong / 1000000 ;
  tLong.tv_usec = howLong % 1000000 ;
  timeradd (&tNow, &tLong, &tEnd) ;

  while (timercmp (&tNow, &tEnd, <))
    gettimeofday (&tNow, NULL) ;
}

void delayMicroseconds (unsigned int howLong)
{
  struct timespec sleeper ;
  unsigned int uSecs = howLong % 1000000 ;
  unsigned int wSecs = howLong / 1000000 ;

  /**/ if (howLong ==   0)
    return ;
  else if (howLong  < 100)
    delayMicrosecondsHard (howLong) ;
  else
  {
    sleeper.tv_sec  = wSecs ;
    sleeper.tv_nsec = (long)(uSecs * 1000L) ;
    nanosleep (&sleeper, NULL) ;
  }
}



/*********************
*ãȡһDHT11Ĵ
*temperatureָ¶ݵָ룻humidityָʪݵָ
*أִ״̬DHT11_OKDHT11_TIMEOUT,DHT11_CHECKEROR
*********************/
int DHT12_read(uint8_t* temperature,uint8_t* humidity )
{
    uint32_t time_cnt;
    uint8_t i;
    uint8_t bit_position;
    memset(DHT11_recvData_,0,5);                     //0
    //printf("1111111111111111111111111111\n");

    /*--------------ʼź----------------*/
//    pinMode(DHT11_dataPin_,OUTPUT);
    gpio_init(DHT11_dataPin_, OUTPUT);
    //digitalWrite(DHT11_dataPin_, LOW);   // ͣʱ>=18msʹDHT11ܹյʼźš
    set_value(DHT11_dataPin_, LOW);
    delay(20);                           // 18 ms
//    digitalWrite(DHT11_dataPin_, HIGH);  // ߣʼźŽ
    set_value(DHT11_dataPin_, HIGH);
    delayMicroseconds(40);               //ʱ20~40us
   //printf("2222222222222222222222222222\n");

   /*--------------Ϊģʽ׼մش-------------------*/
//   pinMode(DHT11_dataPin_,INPUT);  //Ϊģʽ
    gpio_init(DHT11_dataPin_, INPUT);
   //DHT1180usΪDHT11ӦźţACK   
   time_cnt=0;
   while(LOW == read_value(DHT11_dataPin_))
   {
      delayMicroseconds(5);  
      ++time_cnt;
      if(time_cnt > 16)
      {
          printf("time out 1\n");
          return DHT11_TIMEOUT;
      }
   }

   //printf("3333333333333333333333\n");
    //DHT1180usΪʹ׼
   time_cnt=0;
   while(HIGH == read_value(DHT11_dataPin_))
   {
      delayMicroseconds(5);  
      ++time_cnt;
      if(time_cnt > 16){
          printf("time out 2\n");
          return DHT11_TIMEOUT;
      }
   }


   printf("444444444444444444444444444444\n");
   /*-------------------DHT11֡Ľպͽ------------------*/
    for( i=0 ; i < 40 ; ++i )
    {
        time_cnt = 0;
        while( LOW == read_value(DHT11_dataPin_) )   //50usΪbitźŵʼ־
        {
            time_cnt++;
            delayMicroseconds(5);
            if(time_cnt>10)
            {
                printf("5555555555555555555555555\n");
                return DHT11_TIMEOUT;
            }
        }
        time_cnt = 0;
        while(  HIGH == read_value(DHT11_dataPin_) )   //ߡ26~28usʾbit070usʾbit1
        {
            time_cnt++;
            delayMicroseconds(5);
            if(time_cnt>14)
            {
                printf("hang on here %s:%d, time_cnt : %d\n", __func__, __LINE__,  time_cnt);
                //return DHT11_TIMEOUT;
            }
        }
        printf("777777777777777777777\n");
        if(time_cnt>6){    //˵bit1
            bit_position = 7 - i%8;
            DHT11_recvData_[i/8] |= (uint8_t)(1<<bit_position);
        }
      
    }

   //------------͵ıȶ-------------
   i = (uint8_t)(DHT11_recvData_[0] + DHT11_recvData_[1] + DHT11_recvData_[2] + DHT11_recvData_[3])  ;
   if(i != DHT11_recvData_[4] ) return DHT11_CHECKERROR;

    printf("8888888888888888888888\n");
   *humidity    = DHT11_recvData_[0];  //شʪ
   *temperature = DHT11_recvData_[2];  //ش¶
   printf("H: %d, T: %d\n", *humidity, *temperature);
    
   return DHT11_OK;
}

